Get Extension
https://api.elastic-cloud.com/api/v1
- GET /deployments/extensions/{extension_id}
Retrieves an extension.
Path Parameters
-
extension_idstringrequired -
Id of an extension
Query Parameters
-
include_deploymentsboolean · default: false Include deployments referencing this extension. Up to only 10000 deployments will be included.
Responses
The Extension
-
idstringrequired -
The extension ID
-
namestringrequired -
The extension name.
-
descriptionstring -
The extension description.
-
urlstringrequired -
The extension URL to be used in the plan.
-
download_urlstring -
The download URL specified during extension creation.
-
versionstringrequired -
The Elasticsearch version.
-
deploymentsstring -
List of deployments using this extension. Up to only 10000 deployments will be included in the list.
-
file_metadataExtensionFileMetadata -
last_modified_datestring -
The date and time the extension was last modified.
-
sizeinteger -
The extension file size in bytes.
-
urlstring -
The temporary URL to download the extension file. Usable for verification.
Response Headers
-
x-cloud-resource-versionstring The resource version, which is used to avoid update conflicts with concurrent operations
-
x-cloud-resource-createdstring The date-time when the resource was created (ISO format relative to UTC)
-
x-cloud-resource-last-modifiedstring The date-time when the resource was last modified (ISO format relative to UTC)
The extension requested does not exist. (code: extensions.not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response